# DataExchange
TKXCAF
XCAFPrs

# XCAFPrs_DataMapOfShapeStyle Class Reference

`#include <XCAFPrs_DataMapOfShapeStyle.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | XCAFPrs_DataMapOfShapeStyle (const Standard_Integer NbBuckets=1)
Standard_EXPORT XCAFPrs_DataMapOfShapeStyle & | Assign (const XCAFPrs_DataMapOfShapeStyle &Other)
XCAFPrs_DataMapOfShapeStyle & | operator= (const XCAFPrs_DataMapOfShapeStyle &Other)
Standard_EXPORT void | ReSize (const Standard_Integer NbBuckets)
Standard_EXPORT void | Clear ()
| ~XCAFPrs_DataMapOfShapeStyle ()
Standard_EXPORT Standard_Boolean | Bind (const TopoDS_Shape &K, const XCAFPrs_Style &I)
Standard_EXPORT Standard_Boolean | IsBound (const TopoDS_Shape &K) const
Standard_EXPORT Standard_Boolean | UnBind (const TopoDS_Shape &K)
Standard_EXPORT const XCAFPrs_Style & | Find (const TopoDS_Shape &K) const
const XCAFPrs_Style & | operator() (const TopoDS_Shape &K) const
Standard_EXPORT XCAFPrs_Style & | ChangeFind (const TopoDS_Shape &K)
XCAFPrs_Style & | operator() (const TopoDS_Shape &K)

## Private Member Functions

Standard_EXPORT | XCAFPrs_DataMapOfShapeStyle (const XCAFPrs_DataMapOfShapeStyle &Other)

## Constructor & Destructor Documentation

Standard_EXPORT XCAFPrs_DataMapOfShapeStyle::XCAFPrs_DataMapOfShapeStyle | ( | const Standard_Integer | NbBuckets = `1` | ) |

XCAFPrs_DataMapOfShapeStyle::~XCAFPrs_DataMapOfShapeStyle | ( |  | ) | `[inline]`

Standard_EXPORT XCAFPrs_DataMapOfShapeStyle::XCAFPrs_DataMapOfShapeStyle | ( | const XCAFPrs_DataMapOfShapeStyle & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT XCAFPrs_DataMapOfShapeStyle& XCAFPrs_DataMapOfShapeStyle::Assign | ( | const XCAFPrs_DataMapOfShapeStyle & | Other | ) |

Standard_EXPORT Standard_Boolean XCAFPrs_DataMapOfShapeStyle::Bind | ( | const TopoDS_Shape & | K,
|  | const XCAFPrs_Style & | I
| ) |

Standard_EXPORT XCAFPrs_Style& XCAFPrs_DataMapOfShapeStyle::ChangeFind | ( | const TopoDS_Shape & | K | ) |

Standard_EXPORT void XCAFPrs_DataMapOfShapeStyle::Clear | ( |  | ) |

Standard_EXPORT const XCAFPrs_Style& XCAFPrs_DataMapOfShapeStyle::Find | ( | const TopoDS_Shape & | K | ) | const

Standard_EXPORT Standard_Boolean XCAFPrs_DataMapOfShapeStyle::IsBound | ( | const TopoDS_Shape & | K | ) | const

void XCAFPrs_DataMapOfShapeStyle::operator delete | ( | void * | anAddress | ) | `[inline]`

void* XCAFPrs_DataMapOfShapeStyle::operator new | ( | size_t | size | ) | `[inline]`

void* XCAFPrs_DataMapOfShapeStyle::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

XCAFPrs_Style& XCAFPrs_DataMapOfShapeStyle::operator() | ( | const TopoDS_Shape & | K | ) | `[inline]`

const XCAFPrs_Style& XCAFPrs_DataMapOfShapeStyle::operator() | ( | const TopoDS_Shape & | K | ) | const`[inline]`

XCAFPrs_DataMapOfShapeStyle& XCAFPrs_DataMapOfShapeStyle::operator= | ( | const XCAFPrs_DataMapOfShapeStyle & | Other | ) | `[inline]`

Standard_EXPORT void XCAFPrs_DataMapOfShapeStyle::ReSize | ( | const Standard_Integer | NbBuckets | ) |

Standard_EXPORT Standard_Boolean XCAFPrs_DataMapOfShapeStyle::UnBind | ( | const TopoDS_Shape & | K | ) |

The documentation for this class was generated from the following file:

- XCAFPrs_DataMapOfShapeStyle.hxx